Subject: Re: [RFC][PATCH] Fixing SA/SP dumps on netlink/af_key

From: jamal <[email-masked]>
Date: Wed, 16 Jan 2008 20:39:40 -0500

On Thu, 2008-17-01 at 09:58 +1100, Herbert Xu wrote:

> IMHO doing significant work on af_key is a waste of time.  It has no
> advantages at all over xfrm_user since neither is portable.  So we
> should discourage people from using af_key wherever possible.

I wouldnt disagree except some apps like racoon which depend on pfkey
are unfortunately beyond repair. Timo has a pretty good handle on the
issue from what i have seen so far, so it pretty much seems to be there
without significant changes (if the two issues are separated).

cheers,
jamal